Table of Contents

AutoCAD Cost

AutoCAD Programming

Text

  • AutoCAD Text Height = font size / 100
    • Microsoft Word Arial font size of 72pt will be an AutoCAD text height of 0.72 inches
    • Microsoft Word Arial font size of 12pt will be an AutoCAD text height of 0.12 inches
    • Microsoft Word Arial font size of 10pt will be an AutoCAD text height of 0.10 inches
    • Microsoft Word Arial font size of 09pt will be an AutoCAD text height of 0.09 inches (min text height by NCS)
    • AutoCAD Text Height for Arial font is the height of a capital letter, so 1“ text height will produce letter A that is 1 inch tall.
    • AutoCAD text height does NOT include the descent area of the font
    • Microsoft Word Font Size for Arial font is the height of a capital letter plus the ascent and descent area. So a 72pt font will have a letter A text height of approximately 0.72 inches.
  • The US National CAD Standard (NCS) specifies a minimum text height of 3/32” (2.4 mm). Most text is 1/8“ (3 mm) hight, with titles and similar text 1/4” (6 mm) high.“ (AutoCAD and Its Applications - BASICS 23rd Ed by Shumaker, Madsen, Madsen, p. 251)

Customize User Interface (CUIx)

Command Aliases

AutoCAD Application Size of Menu Text

  • Windows Control Panel > Display
    • Change only the text size
      • Message boxes = 10 (this changes size of layer manager names)
      • Menus = 10 (this changes size of ribbon menu text)

Spot Elevations - Civil 3D

  • Make clean base drawing for the block, only have layer 0
    • New Drawing based on “_AutoCAD Civil 3D (Imperial) NCS.dwt”
    • draw a circle on layer 0c
    • WBLOCK M:\dwg\clean2.dwg, units Feet
    • Open M:\dwg\clean2.dwg and delete the circle
    • Save As S:\Projects\ProjectFolderStructure\5-CAD\blocks\SpotElev.dwg
  • Scale 1”=1' (CANNOSCALE)
  • STYLE ArialNar07pt01x standard
  • DONUT 0.02 0.04 1,1 enter/exit
  • VIEWRES Y 20000
  • LINE
    • select center of donut
    • @0.5<45
  • LINE @0.025←45 (at end point) - this is next to position the text
    • (skip) make the line no-plot (only know how to do this at the layer level, not object level, and don't want to make another layer for the block, keep it simple)
    • Select Object → right click and select → Isolate Objects → Hide Select Object
      • This might just be a temporary display setting
    • Object Properties → Transparency 90
  • ATTDEF
    • Tag: ELEV-RIGHT
    • Prompt: Enter right Elevation label (12.34)?
    • Default: 12.34
    • Justification: Bottom Right (BR)
    • Text style: Arial08pt01x
    • uncheck Annotative
    • Rotation 45
    • Mode
      • check on Lock position (not sure about this)
    • Ok, then click top end point of line
  • ATTDEF
    • Tag: DESC-RIGHT
    • Prompt: Enter right Description label (TC)?
    • Default: TC
    • Justification: Top Right (TR)
    • Text style: Arial08pt01x
    • uncheck Annotative
    • Rotation 45
    • Spot Elevation - Right Side Label
  • Open Civil Design drawing that needs spot elevations
  • ANNOSCALE 1“=15'
  • INSERT M:\dwg\SpotElevRightFt.dwg

Left

  • M\dwg\SpotElevLeftFt-1in-src.dwg
  • DONUT 0.02 0.04 0,1 enter/exit
  • VIEWRES Y 20000
  • LINE @0.5<135 (at center of donut)
  • LINE @0.025< -135 (at end point) - this is next to position the text, make the line no-plot
  • ATTDEF
    • Tag: ELEV-LEFT
    • Prompt: Enter left Elevation label (12.34)?
    • Default: 12.34
    • Justification: Bottom left (BL)
    • Text style: ArialNar07pt01x
    • uncheck Annotative
    • Rotation -45
    • check on Lock position
  • ATTDEF
    • Tag: DESC-LEFT
    • Prompt: Enter left Description label (TC)?
    • Default: TC
    • Justification: Top left (TL)
    • Text style: ArialNar07pt01x
    • uncheck Annotative
    • Rotation -45
    • check on Lock position
    • Spot Elevation - Right and Left Side Label
  • Delete 0.025 line to place text
  • BLOCK
    • Name: SpotElevLeftFt-1in
    • Base point: center of donut
    • Objects: select all
    • Behavior: check Annotative, check Allow exploding
      • keep Match block orientation to layout unchecked (don't know what this does)
    • Block unit: feet
    • (skip) check Open Block Editor
    • Block unit: Feet
    • OK button
  • Select Block, Properties, Assign Annotation Scales
    • assign Annotation Scales 1”=1', 1“=10', 1”=15', 1“=20', 1”=30', 1“=40'
  • WBLOCK
  • Open Civil Design drawing that needs spot elevations
  • ANNOSCALE 1”=15'
  • INSERT M:\dwg\SpotElevRightFt.dwg

Spot Elevations

  • Spot Elevation Example from Triton
  • Objective: create a dynamic block that has a donut, leader line, text above and below the line
    • the ability to move, stretch and rotate the block.
      • Partial Solution: Dynamic Blocks with Visibility State of Right and Left (display only one, hide the other from a drop downlist).
        • Problem: a single spot elevation can have two values which can be confusing, would prefer a single elevation and description
    • Also like to select the scale, e.g. 10, 20, 30, 40, 50. Solution: Annotative Blocks (BLOCK with behavior ANNOTATIVE)
    • Typically use to label top of curb, top of wall, high point and so on.
  • Dynamic Blocks workflow
    • Draw
    • Parameters
    • Actions
    • Test
    • Properties
      • define custom properties (Value List say rotation 0, 90, 180, 270)
  • Annotation Scales 1“=1”, 1“=1', 1”=20', 1“=30', 1”=40'
  • Open AutoCAD 2017 (not Civil 3D)
  • New DWG based on acad.dwt template
  • SCALELISTEDIT and delete all scales except 1:1
  • VIEWRES Y 20000
  • UCSICON On (by default the fixed World Coordinate System (WCS) is coincident with the movable User Coordinate System (UCS))
  • STYLE Arial08pt01x standard
  • STYLE ArialNar07pt01x standard
    • Thinking there might be an issue if both the text and dynamic block are Annotative
  • CANNOSCALE 1:1
  • ANNOALLVISIBLE 1 (true, always on)
  • DONUT 0.02 0.04 1,1 enter/exit
  • LINE @0.5<45 (at center of donut)
  • LINE @0.025←45 (at end point) - this is next to position the text, make the line no-plot
  • MIRROR along Y-axis, don't erase original
  • ATTDEF
    • Tag: ELEV-RIGHT
    • Prompt: Enter right Elevation label (12.34)?
    • Default: 12.34
    • Justification: Bottom Right (BR)
    • Text style: Arial08pt01x
    • uncheck Annotative
    • Rotation 45
    • Ok, then click top end point of line
  • ATTDEF
    • Tag: DESC-RIGHT
    • Prompt: Enter right Description label (TC)?
    • Default: TC
    • Justification: Top Right (TR)
    • Text style: Arial08pt01x
    • uncheck Annotative
    • Rotation 45
    • Spot Elevation - Right Side Label
  • ATTDEF
    • Tag: ELEV-LEFT
    • Prompt: Enter left Elevation label (12.34)?
    • Default: 12.34
    • Justification: Bottom left (BL)
    • Text style: Arial08pt01x
    • uncheck Annotative
    • Rotation -45
  • ATTDEF
    • Tag: DESC-LEFT
    • Prompt: Enter left Description label (TC)?
    • Default: TC
    • Justification: Top left (TL)
    • Text style: Arial08pt01x
    • uncheck Annotative
    • Rotation -45
    • Spot Elevation - Right and Left Side Label
  • Delete 0.025 line to place text
  • SCALELISTEDIT create
    • 1“=1', 1=12
    • 1”=20', 1=240
    • 1“=30', 1=360
    • 1”=40', 1=480
  • assign Annotation Scales 1“=1”, 1“=1', 1”=20', 1“=30', 1”=40'
  • BLOCK
    • Name: SPOTELEV
    • Base point: center of donut
    • Objects: select all
    • Behavior: check Annotative, check Allow exploding
    • Block unit: inches
    • check Open Block Editor
  • BEDIT (Block Editor)
  • Authoring Palettes on
    • Parameters tab - Rotation
      • Specify base point: center of donut
      • Specify radius of parameter: end point of 45deg spot elevation line
      • Specify default rotation angle: 45
      • Specify label location: just outside spot elevation text
    • change Property Labels of Angle name from Angle1 to SpotElevRightAngle
    • Actions tab - Rotation
      • Select parameter: SpotElevRightAngle
      • Select objects: spotelevationright angle parameter, donut, right side line and text
    • Repeat for left side
    • Parameters - Rotation
      • Specify base point: center of donut
      • Specify radius of parameter: end point of left spot elevation line
      • Specify default rotation angle: 135
      • Specify label location: just outside spot elevation text
    • change Property Labels of Angle name from Angle1 to SpotElevLeftAngle
    • Actions - Rotation
      • Select parameter: SpotElevLeftAngle
      • Select objects: spotelevleftangle parameter, donut, left side line and text
    • Parameters > Visibility
      • location - x-axis at radius 0.5
      • Visibility States
        • Right
        • Left
      • Make invisible (select left stuff)
      • change visibility state to Left
      • Make invisible (select right stuff)
    • Close Block Editor
    • WBLOCK I:\templates\blocks\SPOTELEV.dwg (don't do this, cause a reference itself error)
    • SAVE AS I:\templates\blocks\SPOTELEVsrc.dwg

Round 2 Decimal Places

  • Craig Batchelor, cbatchelor@rand.com
  • APPLOAD D2 subtract 1700
  • (defun c:D2 ( / SS i Obj N)
      (and
        (setq SS (ssget '((0 . "INSERT")(66 . 1))))
        (setq i (sslength SS))
        (setq N 0)
        (while (> i 0)
          (setq Obj (vlax-ename->vla-object (ssname SS (setq i (1- i)))))
          (and
            (vlax-property-available-p Obj 'HasAttributes)
            (= -1 (vlax-get Obj 'HasAttributes))
            (vlax-method-applicable-p Obj 'GetAttributes)
            (foreach Att (vlax-invoke Obj 'GetAttributes)
              (and
                (setq Str (vlax-get Att 'Textstring))
                (wcmatch Str "#*#")
                (setq # (read Str))
                (setq Str (rtos # 2 2))
                (or (vlax-put Att 'TextString Str) 1)
                (setq N (1+ N))
              )
            )
          )
        )
      )
      (princ (strcat "\nRounded " (itoa N) " attributes."))
      (princ)
    )

Remove Constant Elevation Values

  • Craig Batchelor, cbatchelor@rand.com
  • Do this first
    • APPLOAD ZED
  • (defun c:ZED ( / ToSum SelSet Items Index BlkName AttName AttDxf )
      (initget 3 )
      (if (setq ToSum (getreal "Enter a real (example 5.001 or -5.001 ) to add or subtract : " ) )
        (progn
          (while (setq SelSet (ssget '((-4 . "<and" )(0 . "INSERT" )(2 . "BFCP" )(-4 . "and>" ))) )
            (setq Items (sslength SelSet ) )
            (setq Index -1 )
            (repeat Items
              (setq Index (1+ Index ) )
              (setq BlkName (ssname SelSet Index ) )
              (setq AttName (entnext BlkName ) )
              (while AttName
                (setq AttDxf (entget AttName ) )
                (if (=(cdr (assoc 2 AttDxf )) "ELEV"  )
                  (progn
                    (setq AttDxf (subst (cons 1 (rtos (+ (atof (cdr (assoc 1 AttDxf ))) ToSum ) 2 3 )) (assoc 1 AttDxf ) AttDxf ) )
                    (entmod AttDxf )
                    (entupd BlkName )
                  )
                  ( )
                )
                (if (= (cdr (assoc 0 (entget AttName ))) "SEQEND" ) (setq AttName nil ) (setq AttName (entnext AttName )) )
              )
            )
          )
        )
        ( )
      )
      (princ)
    )

Dynamic Block

  • Convert points
  • ZED
  • D2
  • Dynamic block move/flip/rotate

Title Block

  • Purpose: title block or title strip is an organized way to show the necessary information that is not included on the drawing. Typically this includes
    • Project Name/Title, Location
    • Sheet Name
    • Company contact information (e.g. Name, Company Logo, Address, Phone Number, Email, URL/web page address)
    • Owner/Developer contact information
    • Revision Block (a.k.a. Revision Strip, Change Block, or Change Strip)
    • Initials of Engineer/Designer, Drawn by and checked by
    • Sheet Number

Title Blocks on YouTube

Templates and Profiles

  • Templates usually include the following (About Layout Templates)
    • Units and Limits
    • Drawing aids, such as dynamic input, grid display and snaps
    • Layers with specific line standards
    • Text, dimension, multileader, table, and plot styles
    • Common symbols and blocks
    • Layouts with a border, sheet blocks and general notes
  • Profiles save the customization you made in the OPTIONs. Exported to ARG text file.
    • Default search and project file paths
    • Template file locations
    • Initial folder specified in file navigation dialog boxes
    • Default linetype and hatch pattern files
    • Printer defaults
    • Tool palette display settings
    • [Q] where does the command prompt docked setting at? I want to command prompt to be on the top, always

Profile

  • AutoCAD OPTIONS
    • Profiles tab > Add to List… > DRHS-Profile
    • Files tab
      • Template Settings (optional)
        • Drawing Template File Location > (default is C:\Users\[user name]\appdata\local\autodesk\c3d 2017\enu\template)
          • typically change to a network drive location where everyone in the office can access the corporate template
          • change to (D:\GISEDrive → CCSD → CADD → Templates). Issues if saving to Google Drive synch folder
          • appears you can only have one path for .dwt, option to add is grayed out
    • Display tab
      • Window Elements
        • Use large buttons for Toolbars (check on)
        • Colors… button
          • 2D model space, Uniform background, color 33,40,48 (dull black)
            • AutoCAD Civil 3D 2020 default uniform background color 215, 215, 215 (light gray)
            • AutoCAD Civil 3D 2016 default uniform background color 33,40,48 (dull black)
            • AutoCAD Civil 3D 2015 default uniform background color 215, 215, 215 (dull white)
          • Crosshairs, color White
          • Viewport control, color White
          • Sheet / layout
      • Layout elements
        • check (should be on by default) Display Layout and Model tabs
        • uncheck Display printable area (this dashed line in the layout is confusing and cannot be snapped to)
      • Display resolution
        • Arc and circle smoothness 20000 instead of 1000
          • this does the samething as VIEWRES Y 20000
          • VIEWRES fast zooms? Yes, circle zoom percent 20000
    • Plot and Publish tab
      • Use as default output device DWG To PDF.pc3
      • OLE plot quality: High graphics (e.g. photograph) helpful logo graphics, typically use this this if logo is an image or plotting aerial photos
      • Specify plot offset relative to Edge of paper
      • Plot Style Table Settings > Use color dependent plot styles (typically used for backwards compatibility with older drawings where the lineweight is controlled by the layer/object color)
    • System tab
    • User Preferences tab
      • insertion scale - default settings when units are set to unitless for Source content and Target drawing
        • inches (if using Civil 3D as AutoCAD)
        • feet (if using Civil 3D)
      • Default Scale List… button
        • add 1“=40' (paper units = 1 and drawing units = 40)
  • Options > Files tab

Template: Layouts

  • open Civil 3D as AutoCAD 2017
    • use acad.dwt basic template for imperial (acadiso.dwt for metric)
    • save as ge01 I:\templates\GISE-2017.dwt or DRHS.dwt
      • Description: GIS Engineering Template with Title Blocks. Use with AutoCAD Civil 3D 2017.
      • Save all layers as unreconciled. (Note sure what this means)
  • New drawing based on ..\C3D 2017\enu\Template\AutoCAD Template\acad.dwt template
    • To edit a .dwt, use AutoCAD File > Open. If you double click a .dwt will create a dwg instance of the .dwt
    • Save locally (upload manually to OneDrive CCSD\CADD\Templates\TitleBk-GISE.dwt or GoogleDrive)
    • GIS Engineering Template - Civil 3D 2017. Normal English (feet and inches) drawing template. Uses Color Dependent Plot Styles.
    • Save all layers as reconciled
    • recommend changing the save location from C:\Users\JeffJensen\AppData\Local\Autodesk\C3D 2016\enu\Template to T:\GISEProjects\ProjTemplate\dwg as the lab computers have DeepFreeze installed which will remove the .dwt
  • current layer G-ANNO-TTLB

Template: Units and Limits

  • AutoCAD settings
    • LIMITS off
      • alternative: limits 0,0 36,24
      • zoom extents
    • MEASUREINIT system variable - controls whether a drawing you start from scratch uses imperial or metric default settings
      • 0 - imperial
      • 1 - metric
      • 0 - imperial
      • 1 - metric
    • UNITS
        • Length Type: Decimal
        • Length Precision: 0.00000
          • LUPREC system variable
        • Insertion scale Inches
        • Angle Type: Decimal Degrees
        • Angle Precision: 0.00000
          • AUPREC system variable
      • AutoCAD Civil 3D
        • Length Type: Decimal (sets LUNITS 2 system variable)
        • Length Precision: 0.00000 (sets LUPREC 5 significant figures right of decimal point)
        • Insertion scale Feet
        • Angle Type: Deg/Min/Sec
        • Precision: 0d00'00.00”
      • Architectural (AutoCAD), Inches
  • Status Bar Customization (when in ModelSpace)

Template: Text Styles

  • Text styles are saved in the AutoCAD template (.dwt)
    • Use AutoCAD Design Center (adc) to view existing textstyle in the .dwg/.dwt
    • STYLES command also use to view, create and edit textstyles in the .dwg/.dwt
  • Text Styles (STYLE) > New
    • Existing Text Styles from acad.dwt (Annotative, Legend, and Standard) appears they can't be deleted, default current text style is Standard. Avoid using Standard textstyle/dimension style/table style, if you changed the text height and then inserted the drawing into a new drawing, which also has the Standard style by default, will get a conflict everything will revert back the Standard textstyle in the new drawing. So in a nutshell, when making templates (.dwt) avoid STANDARD.

Layout Paperspace

  • Don't use Annotative text styles as the marginalia/title block text will remain constant/fixed height (no scaling)
  • Arial06pt01x - Height 0.06, uncheck Annotative
  • Arial08pt01x - Height 0.08, uncheck Annotative
  • Arial10pt01x - Height 0.10, uncheck Annotative
  • Arial12pt01x - Height 0.12, uncheck Annotative
  • Arial24pt01x - Height 0.24, uncheck Annotative
  • Arial40pt01x - Height 0.40, uncheck Annotative

Modelspace

  • Use Annotative text styles so they scale properly in multiple viewports
  • Recommend naming textstyles with the font they use and the font size and scale. So if using font Arial and it's a paper text height of 10 points (0.10 inches) and viewport scale is 1“=40', then name is Arial10pt40x
    • Won't this create a bunch of textstyles all with the same font but different point sizes? Yes, it will. Alternative is to set the text height equal to 0, then will only have one textstyle, say Arial. Problem this creates is now each Annotation has a text height by object instead of by style, so if you want to change the height of several objects, will have to select all those objects and change the height, where is my opinion, it's easier to just the textstyle instead.
  • Arial06pt01x, Font Name: Arial TrueType Font, Annotative, paper text height = 06pt/100 = 0.06 inches
    • Arial08pt01x, Font Name: Arial TrueType Font, Annotative, paper text height = 08pt/100 = 0.08 inches
    • Arial09pt01x, Font Name: Arial TrueType Font, Annotative, paper text height = 09pt/100 = 0.09 inches
    • Arial10pt01x, Font Name: Arial TrueType Font, Annotative, paper text height = 10pt/100 = 0.10 inches
      • Arial10pt01x, Font Name: Arial TrueType Font, (uncheck annotative), Height = 10pt/100 = 0.10 inches at 1:1 scale
    • Arial12pt01x, Font Name: Arial TrueType Font, Annotative, paper text height = 12pt/100 = 0.12 inches
    • Arial14pt01x, Font Name: Arial TrueType Font, Annotative, paper text height = 14pt/100 = 0.14 inches
    • Stylus06pt01x, Font Name: Stylus BT TrueType Font, Annotative, paper text height = 06pt/100 = 0.06 inches
    • Stylus08pt01x, Font Name: Stylus BT TrueType Font, Annotative, paper text height = 08pt/100 = 0.08 inches
    • Stylus09pt01x, Font Name: Stylus BT TrueType Font, Annotative, paper text height = 09pt/100 = 0.09 inches
    • Stylus10pt01x, Font Name: Stylus BT TrueType Font, Annotative, paper text height = 10pt/100 = 0.10 inches
    • Stylus12pt01x, Font Name: Stylus BT TrueType Font, Annotative, paper text height = 12pt/100 = 0.12 inches
    • Stylus14pt01x, Font Name: Stylus BT TrueType Font, Annotative, paper text height = 14pt/100 = 0.14 inches
    • Standard Text Styles (suffix “x” implies scale or times, such as 30x = 30 scale)
      • Simplex08pt01x, Font Name: simplex.shx, Standard, Height = 01 * 08pt/100 = 0.08 inches
        • use in Layouts not in Modelspace
        • Using with scalebar and north arrow text, if I use Annotative then need to turn on Annotation Visibility
      • Simplex09pt30x, Font Name: simplex.shx, Standard, Height = 30 * 09pt/100 = 2.7 feet
        • Example Text notes (3/32”), Detail titles (7/32“), Mid size text (5/32”)
      • Simplex09pt40x, Font Name: simplex.shx, Standard, Height = 40 * 09pt/100 = 3.6 feet
      • Simplex10pt30x, Font Name: simplex.shx, Standard, Height = 30 * 10pt/100 = 3.0 feet
      • Simplex10pt40x, Font Name: simplex.shx, Standard, Height = 40 * 10pt/100 = 4.0 feet
      • Simplex12pt30x, Font Name: simplex.shx, Standard, Height = 30 * 12pt/100 = 3.6 feet
      • Simplex12pt40x, Font Name: simplex.shx, Standard, Height = 40 * 12pt/100 = 4.8 feet
      • Simplex14pt30x, Font Name: simplex.shx, Standard, Height = 30 * 14pt/100 = 4.2 feet
      • Simplex14pt40x, Font Name: simplex.shx, Standard, Height = 40 * 14pt/100 = 5.6 feet
    • PE Stamp - Standard Text Styles for Layout Template
      • RomanD07pt01x, Font Name: romand.shx, Standard, Height = 1 * 7pt/100 = 0.07 inch
      • RomanD08pt01x, Font Name: romand.shx, Standard, Height = 1 * 8pt/100 = 0.08 inch
    • “The ASME Y14.2 standard, Line Conventions and Lettering, applies to the process of hand lettering each character using one or more single straight or curved elements, in a Gothic design. For example, the letter A has three single-stroke lines. You can achieve the ASME standard with AutoCAD using a font such as Arial, Romans (roman simplex), or Century Gothic. The US National CAD Standards (NCS) recommends a sans serif font, which can be achieved with a font such as the Arial, Romans, or SansSerif font. Some architectural companies prefer the Stylus BT or CountryBlueprint font, because these fonts provide a more traditional architectural hand-lettering appearance.” (AutoCAD and Its Applications BASIC, 23rd by Shumaker, p. 249)
    • “A text style height of 0 provides the greatest flexibility when drawing. A prompt asks you to specify a text height when you create single-line text, and you can assign a text height to dimension, multileader, and table styles. As an alternative, assigning a specific text height to a text style can increase productivity and accuracy, but requires that you create a text style for each unique height or edit text objects to change text height.” (AutoCAD and Its Applications BASIC, 23rd by Shumaker, p. 257)
  • Standard Blocks
    • create blocks (lines and standard text) at drawing scale 1“ = 40' in Civil 3D
    • issues with scaling lines/graphics in Annotative Blocks
  • Annotative Blocks
    • create blocks at 1” = 1' scale in Civil 3D
    • ATTDEF
    • block drawings are done at paperspace scale of inches even though its drawn in Modelspace in feet, set annotation scale 1“=1'
    • WBLOCK use insert units of Feet, Base point as insertion OSNAP, don't include AutoCAD Map information
    • before INSERT block, set the modelspace annotation scale to 1”=30'
  • Annotation Visibility
  • WIPEOUTFRAME controls the display of frames for wipeout objects
  • Enhanced Attribute Editor (EATTEDIT)

Layers

  • new layer
    • G-ANNO-LOGO = company logo (General - Annotation - Logo)
    • G-ANNO-NPLT = viewports (General - Annotation - Non-plotting graphic information)
      • color 211 (magenta-pink)
      • no plot
      • Description: Viewport Frame, Anno guidelines
    • G-ANNO-STMP = professional stamp
    • G-ANNO-TITL = Drawing title or Detail title
    • G-ANNO-TTLB = Border and title block (see NCS CAD Layer Guidelines - V5)
      • Description: Border
    • G-DIMS = all dimensions on the General - Dimension layer (AEC LDS CAD Manual)
  • DEFPOINTS layer should automatically be created when adding dimensions or tables, it's a non-plot layer which is traditionally used to save reference or construction geometry.
  • skip - New Layer Z-TitleBk and make it current (if you draw on layer 0 then when you insert the title block, will go on the current layer of the drawing, which isn't what we want)

Page Setup Manager

Layout 36x24

  • rename layout tab from Layout1 to 36×24 (right click on layout tab and click Rename)
  • Page Setup Manager
  • New > 36×24
  • Printer/plotter - DWG To PDF.pc3
  • Paper Size: ARCH full bleed D (36.00 x 24.00 inches)
  • Plot offset (origin set to layout border) - note this is set in OPTIONS
    • X: 0 inch
    • Y: 0 inch
  • Scale: 1:1
    • 1 inch = 1 unit
  • Plot style table (pen assignments): monochrome.ctb
    • how do I fade objects? What if I plot transparency?
  • Plot options - on
    • Plot object lineweights
    • Plot transparency
    • Plot with plot styles
    • Plot paperspace last

Layout 17x11

  • rename layout tab from Layout2 to 17×11 (right click on layout tab and click Rename)
  • PAGESETUP manager (appears you have to be in Layout/Paper Space)
  • New > 11×17
  • Printer/plotter > DWG To PDF.pc3
  • Paper size > ANSI full bleed B (17.00 x 11.00 Inches) [use instead of ANSI expand B (17.00 x 11.00 Inches)]
    • Plot area > What to plot > Layout
    • Plot offset (origin set to layout border) x=0, y=0 (this will put the origin 0,0 at the lower left corner of the paper instead of the hardware printer/plotter limits)
    • Scale: 1:1
    • Drawing orientation: Landscape
    • set current
  • Plot style table - monochrome.ctb

Layout 11x8.5

  • click + tab to create a new layout tab
  • rename layout tab to 11×8.5
  • PAGESETUP
  • New > 11×8.5 (page setup name is 11×8.5)
  • Printer/plotter > DWG To PDF.pc3
  • Paper size > ANSI full bleed A (11.00 x 8.50 Inches)
    • Plot area > Layout
    • Plot offset (origin set to layout border) - note this is set in OPTIONS
      • X: 0 inch
      • Y: 0 inch

Border

11x8.5 layout

  • Border/Borderline/Collar/Margin
    • current layer G-ANNO-TTLB
    • rectangle 0.5,0.5 to #10.5,7.75
      • recommend entering values in dynamic input (mini command prompt at the cursor) instead of at the main command prompt
      • Use 0.75“ margin on top (extra room for binding in a report)
      • Use 0.5” margin on left, right and bottom border
    • Change polyline global width to 0.025“ via properties
      • Alternative: pedit with global width 0.025
        • PEDITACCEPT system variable 1 then won't be prompted to enter yes <Y> to the question if you want to turn the line into a polyline.
  • Title Block/Title Strip/Marginalia
    • draw a circle with radius 1.2” at top right corner of border
      • Alternative is to use temporary tracking (TT) along with OSNAP (object snaps) on. Procedure:
        • Type LINE
        • then TT at the Command Line
        • click the top right corner of the border
        • move the mouse vertically down along the border, should see the tracking dashed line
        • type 1.2 at the Command Line and press enter
        • the line is snapped 1.2“ down
    • draw a vertical polyline at intersection of circle and top border to the bottom border
      • change global width 0.025
      • delete the circle
  • Section A - Company logo, name and address
    • draw a circle with radius 2.75” from top right corner of border
    • draw horizontal polyline at the bottom quadrant of the circle
      • change global width 0.025
      • delete circle
  • Section B - Owner Information
    • offset “Section A” horizontal polyline 2.0“ down toward bottom border line/margin/collar
  • Section C - Project Title and Location
    • offset “Section B” horizontal polyline 2.0” down toward bottom border line/margin/collar
  • Section D - Drawing Number
    • horizontal polyline is same as “Section C”
  • Layout - Title Block Sections

17x11 layout

  • Discussion
    • Use 0.75“ margin on top, right and bottom border (problems getting 0.5” margins to center on page)
    • Use 1.25“ margin on left border (extra room for plot stamp and staple margins)
  • current layer G-ANNO-TTLB
  • Border
    • rectangle 1.25,0.75 to #16.25,10.25
      • enter values in dynamic input (mini command prompt at the cursor) instead of at the main command prompt
      • should have 1.25” left margin needs to be wider for binding/stapling sheets together
    • Change polyline global width to 0.05“ via properties
      • Alternative: pedit with global width 0.05
  • Title Strip
    • draw a circle with radius 1.2” at top right corner of border
    • draw a vertical polyline at intersection of circle and top border to the bottom border
      • change global width 0.025
    • delete above circle
    • draw a circle with radius 3“ at same top right corner of border
    • draw horizontal polyline 3” from bottom quadrant of this circle (company logo, name and address)
      • change global width 0.025
      • delete above circle
    • offset horizontal polyline 2.2“ down from top border (owner info)
    • offset horizontal line 3.0” down from top border (project title and location)
    • offset horizontal line 0.2“ down from top border (designer)
      • explode polyline, then becomes a normal line
    • offset horizontal line 0.2” down from top border (drawn by)
    • offset horizontal line 0.2“ down from top border (checked by)
    • offset horizontal line 0.2” down from top border (project number)
      • pedit to convert into polyline, change global width 0.025
      • should have 0.5“ to bottom border
  • Layout 17x11 - Title Block Sections

36x24 layout

  • Discussion
    • use 1” margins on top, right and bottom sides. Need room to write Entity Application Numbers
    • use 2“ margin on left to bind/staple plans together and also room for plot stamp
  • current layer G-ANNO-TTLB
  • rectangle 2,1 to #35,23 (# enforces absolute coordinates instead of default relative coordinates)
  • Change polyline width to 0.05”
    • Option 1: properties > global width = 0.05
    • Option 2: pedit with global width 0.05
  • draw a circle with radius 2.0“ at top right corner of collar border (x=35, y=23)
  • draw a vertical polyline at intersection of circle and top border to the bottom border
    • change global width 0.05
    • delete circle
  • Section A of Title Strip - Revision Block
    • draw circle radius 4.75”
    • draw horizontal polyline from bottom quadrant of circle (revision block), global width 0.025“
    • delete circle
  • Section B of Title Strip - Company name, address, logo
    • offset 4.25” down (company logo, name and address), global width 0.025“
  • Section C of Title Strip - Owner Information
    • offset 3” down (owner info)
  • Section D of Title Strip - Project Title and location
    • offset 5“ down (project title and location)
  • Section E of Title Strip - Designer
    • offset 1.6” down (designer)
  • Section F of Title Strip - PE Stamp
    • offset 2“ down (PE stamp)
  • Section G of Title Strip - Sheet Number
    • offset 1.5” down (sheet number)

36x24 layout - City of Jerome Idaho

  • Discussion
    • use 1“ margins on top, right and bottom sides. Need room to write Entity Application Numbers
    • use 2” margin on left to bind/staple plans together and also room for plot stamp
  • current layer G-ANNO-TTLB
  • rectangle 2,1 to #35,23 (# enforces absolute coordinates instead of default relative coordinates)
  • Change polyline width to 0.05“
    • Option 1: properties > global width = 0.05
    • Option 2: pedit with global width 0.05
  • draw a circle with radius 2.0” at top right corner of collar border (x=35, y=23)
  • draw a vertical polyline at intersection of circle and top border to the bottom border
    • change global width 0.05
    • delete circle
  • Section A of Title Strip - Company name, address, logo
    • draw circle radius 5.75“
    • draw horizontal polyline from bottom quadrant of circle (revision block), global width 0.025”
    • delete circle
  • Section B of Title Strip - Revision Block
    • offset 5.75“ down (company logo, name and address), global width 0.025”
  • Section C of Title Strip - Project Title and location
    • offset 5.25“ down (roject title and location)
  • Section D of Title Strip - PE Stamp
    • offset 2” down (PE stamp)
  • Section E of Title Strip - Engineer and Design By
    • offset 0.25“ down (designer)
  • Section F of Title Strip - Drawn By and Scale
    • offset 0.25” down (drawn by)
  • Section G of Title Strip - Date
    • offset 0.25“ down (date)
  • Section H of Title Strip - Sheet Number
    • offset 1.5” down (sheet number)
  • Section I of Title Strip - Project Number
    • offset 0.25“ down (project number)

Revision Block (36x24 only)

  • current layer: G-ANNO-TTLB
  • horizontal offset 0.46
    • explode line
  • horizontal offset 0.46 (total 0.92 from section boundary)
  • circle 0.25
  • vertical line to top of border
  • offset 0.25 until you have 8 revision rows
  • delete circle
  • current layer: G-ANNO-NPLT (no plot layer)
  • diagonal line in left most row, this will be the column headings
    • offset 0.125, have line break at each column
  • textstyle RomanD08pt01x
    • MTEXT “REV”, justify middle center, rotate 90deg
      • move to midpoint of diagonal line, first column
    • MTEXT “DATE”, justify middle center, rotate 90deg
      • move to midpoint of diagonal line, second column
    • MTEXT “DESCRIPTION”, justify middle center, rotate 90deg
      • move to midpoint of diagonal line, third column
  • Revision Block in Title Strip

Details

  • Drawing Block Title - Layout 24×36
  • Drawing Block Title - Layout 11×17
  • OneDrive for Business > GISEngineering > templates > blocks > DrawingBlockTitle-NCS.dwg
  • Drawing Block Title

GIS Engineering

  • Layers
    • LOGO-BORDER, RGB(255,255,255)
    • LOGO-BLDG, RGB(49,129,195)
    • LOGO-TEXT-ENG, RGB(49,129,195)
    • LOGO-TEXT-GIS, RGB(166,206,56)
    • LOGO-AMERICA, RGB(91,91,91) is a gradient from 91,91,91 to 132,132,132
    • LOGO-GLOBE, RGB(102,103,103)
    • LOGO-TEXT-SLOGAN, RGB(102,103,103), original was (172,173,173)

Logo (11x8.5) Section A

  • set current layer to G-ANNO-NPLT
  • draw rectangle with width and length 0.05” located at the lower left corner of Section A
  • set current layer to G-ANNO-LOGO
  • copy logo to clipboard
    • double click on this logo image, then right click and select copy
    • Desert Rose High School Logo 2x2 rotated 90deg
  • AutoCAD right click context menu, select Clipboard > Paste (in grayed out try keyboard shortcut Ctrl+V)
  • Image Properties
    • width = 1.10
  • move logo to upper right corner of above rectangle
  • DRAWORDER > send to back
  • turn off the image border using
    • IMAGEFRAME 0 turns off the border around the image from plotting but still shows in layout
    • Insert tab > Reference panel > Hide frames (alternative way to turn off all borders using FRAME command)
  • Layout - Logo - Section A of Title Strip

Company Address Box (11x8.5) Section A

  • layout in PAPER mode, not MODEL
  • current layer G-ANNO-NPLT
  • RECTANGLE 0.7,1.91 (located at bottom left corner of Section A)
    • recommend entering values at Command prompt instead of dynamic input mini command prompt
  • circle radius 0.115 (located at top left corner of above rectangle)
  • circle radius 0.19 (same center point as above)
  • current layer G-ANNO-TTLB
  • vertical line 1.54 (drawn in a blank area)
    • move midpoint of this line to right quadrant of 0.19 circle
  • textstyle
    • STYLE Arial10pt is current
    • MTEXT “Desert Rose High School”, justify middle center, move to midpoint of 0.17 horizontal line
    • STYLE Arial06pt is current
    • MTEXT “Computer Aided Design & Drafting”, “(CADD) Program by Mr. Jensen”, “444 W Brooks Ave”, “North Las Vegas NV 89030”, “Phone: 702-799-6240”, “www.desertrosehs.org”, justify middle center, move to lower left corner of rectangle
  • Layout - Company Name - Section A of Title Strip

Company Address Box (17x11) Section A

  • Upper right corner add box to contain company address and logo
  • layout in PAPER mode, not MODEL
  • current layer G-ANNO-NPLT
  • rectangle @-0.5,-0.868
    • enter values at Command prompt instead of dynamic input mini command prompt
  • horizontal line 0.5 from lower left corner of above rectangle, drawn to the left
  • horizontal line 0.17 from above line, drawn to the left
  • current layer G-ANNO-TITL
  • vertical line 1.54 (move midpoint to common endpoint of 0.5 and 0.17 lines)
  • textstyle
    • STYLE Arial10pt01x is current
    • MTEXT “Desert Rose High School”, justify middle center, move to midpoint of 0.17 horizontal line, rotate 90deg
    • STYLE Arial06pt is current
    • MTEXT “Computer Aided Design & Drafting”, “(CADD) Program by Mr. Jensen”, “444 W Brooks Ave”, “North Las Vegas NV 89030”, “Phone: 702-799-6240”, “www.desertrosehs.org”, justify middle center, move to lower left corner of rectangle
  • Layout - Company Address
  • STYLE Arial10pt01x is current
  • MTEXT “GIS Engineering”, justify middle center, move to midpoint of 0.17 horizontal line, rotate 90deg
  • STYLE Arial06pt is current
  • MTEXT “6465 W Sahara Ave, Ste 102”, “Las Vegas NV 89146”, “Tel: 702-462-9581”, “Cell: 702-327-9294”, “Fax: 702-946-0824”, “http://www.gisengineering.com”, “jjensen@gisengineering.com”, “laffleck@gisengineering.com”. justify middle center, rotate 90deg, move to lower left corner of rectangle
  • Layout - GISE Address and Logo

Company Address Box (36x24)

  • Upper right corner add box to contain company address and logo
  • layout in PAPER mode, not MODEL
  • current layer C-ANNO-NPLT
  • horizontal polyline width 0.025 that is 3.0“ from top collar border
  • current layer C-ANNO-NPLT
  • rectangle @0.5 0.868
  • horizontal line 0.5 from lower left corner of above rectangle
  • horizontal line 0.17 from above line
  • current layer C-ANNO-TTLB
  • vertical line 1.54 (move midpoint to common endpoint of 0.5 and 0.17 lines)
  • current layer C-ANNO-TTLB
  • textstyle
    • STYLE Arial10pt is current
    • MTEXT “Desert Rose High School”, justify middle center, move to midpoint of 0.17 horizontal line
    • STYLE Arial08pt is current
    • MTEXT “Computer Aided Design & Drafting”, ”(CADD) Program by Mr. Jensen“, “444 W Brooks Ave”, “North Las Vegas NV 89030”, “Phone: 702-799-6240”, “www.desertrosehs.org”, justify middle center, move to lower left corner of rectangle
  • Layout - Company Address

Prepared For/Owner (11x8.5)

  • Create guidelines on no plot layer (G-ANNO-NPLT)
    • current layer G-ANNO-NPLT
    • RECTANGLE 0.05 0.05 from the bottom left corner of Section B
    • RECTANGLE 0.65 1.0 from the bottom left corner of Section B
  • Text
    • current layer G-ANNO-TTLB
    • STYLE Arial06pt
    • MTEXT “OWNER / DEVELOPER / PREPARED FOR:”, justify top left, rotate 90 deg
      • MOVE to upper right corner of small rectangle guideline
    • STYLE Arial09pt
    • MTEXT “JOHN DOE”, “123 MAIN ST”, “LAS VEGAS NV 89102”, “702-555-1212”, “test@test.com”, justify middle center, rotate 90 deg
      • move this text to the midpoint of the diagonal line
  • Layout - Prepared for - 11x8.5 size

Prepared For/Owner (17x11)

  • Create guidelines on no plot layer (G-ANNO-NPLT)
    • current layer G-ANNO-NPLT
    • RECTANGLE 0.05 0.05 starting at lower left corner of “Prepared For” section to title block to upper right
      • skip circle radius 0.05” centered at lower left corner of “Prepared For” section of the title block
      • skip horizontal line from top quadrant of above circle
      • skip vertical line from the right quadrant of above circle
      • skip circle radius 0.12“ centered at same location as above circle
      • skip diagonal line from the right quadrant of 0.12” circle to the upper right corner of the “Prepared for” section of the title block
    • RECTANGLE 0.65 1.1 starting at same location as smaller rectangle to the upper right
  • Text
    • current layer G-ANNO-TITL
    • STYLE Arial06pt01x
    • MTEXT “OWNER / DEVELOPER / PREPARED FOR:”, justify top left, rotate 90 deg
    • STYLE Arial10pt01x
    • MTEXT “JOHN DOE”, “123 MAIN ST”, “LAS VEGAS NV 89102”, “702-555-1212”, “test@test.com”, justify middle center, rotate 90 deg
      • move this text to the midpoint of the diagonal line
  • Layout - Prepared for - 17x11 size

Prepared For/Owner (36x24)

  • Border Cell should already be created, if not
    • current layer G-ANNO-TTLB
    • horizontal polyline width 0.025 that is 7.5“ from top collar border
    • horizontal polyline width 0.025 that is 10.5” from top collar border
  • current layer G-ANNO-NPLT
  • rectangle 0.1 0.1
  • textstyle
    • STYLE Arial06pt01x
    • MTEXT “OWNER / DEVELOPER / PREPARED FOR:”, justify top left, rotate 90 deg
    • STYLE Arial09pt01x
    • MTEXT “JOHN DOE”, “123 MAIN ST”, “LAS VEGAS NV 89102”, “702-555-1212”, “test@test.com”, justify middle center, rotate 90 deg

Title/Project Name (11x8.5)

  • current layer G-ANNO-NPLT
  • create no plot reference guidelines
    • RECTANGLE 0.05 0.05 from the bottom left corner of Section C
    • RECTANGLE 0.3 1.0 from the bottom left corner of Section C
    • RECTANGLE 0.75 1.0 from the bottom left corner of Section C
    • CIRCLE radius 0.34“ centered same location as above rectangles
      • layer G-ANNO-TTLB
      • draw vertical line from right quadrant to top border of the “Title/Project Name” section of title block
  • current layer G-ANNO-TTLB
  • textstyle
    • STYLE Arial06pt is current
    • MTEXT “PROJECT TITLE:” alignment upper left corner, rotate 90 deg
      • move to corner of small rectangle guideline
    • STYLE Arial09pt is current
    • MTEXT “COVER AND GENERAL NOTES” justify bottom center, rotate 90 deg
      • move to upper right corner of medium rectangle guideline
    • STYLE Arial08pt is current
    • MTEXT “CHI SEWER LATERAL”, “2780 EDMOND ST”, “APN 163-11-000-000”, alignment middle center, rotate 90 deg
      • move to upper right corner of large rectangle guideline
  • Layout - Project Title (17x11 sheet)

Title/Project Name (17x11)

  • current layer G-ANNO-NPLT
  • create no plot reference guidelines
    • RECTANGLE 0.05 0.05 from bottom left corner of “Project Title” section of title block
      • skip circle radius 0.05” centered at bottom left corner of “Title/Project Name” section of title block to upper right
    • RECTANGLE 0.28 1.5 centered at bottom left corner of “Project Title” section of title block to upper right
    • RECTANGLE 0.825 1.5 centered at bottom left corner of “Project Title” section of title block to upper right
    • CIRCLE radius 0.45
      • current layer G-ANNO-TITL
      • vertical line from the right quadrant of above circle
      • delete circle
    • skip horizontal line from the top quadrant of above circle
    • skip circle radius 0.34“ centered same location as above circle
      • layer G-ANNO-TTLB
      • draw vertical line from right quadrant to top border of the “Title/Project Name” section of title block
    • skip circle radius 0.25” from midpoint of above vertical line
      • horizontal line from the right quadrant of above circle to the borderline collar margin
    • skip horizontal line 0.85“ from right border, midpoint (use to position CHI SEWER LATER… text)
    • skip horizontal line 0.25” to right of above 0.85“ line (use to position COVER AND GENERAL NOTES)
    • skip rectangle 0.038” x 0.038“ from bottom left corner (use to position PROJECT TITLE)
    • skip current layer G-ANNO-TTLB
    • skip vertical line 0.35 from lower left corner
  • current layer G-ANNO-TITL
  • textstyle
    • STYLE Arial06pt01x is current
    • MTEXT “PROJECT TITLE” alignment upper left corner, rotate 90 deg, snap to corner of rectangle guideline
    • STYLE Arial12pt01x is current
    • MTEXT “COVER AND GENERAL NOTES” justify bottom center, rotate 90”, 1.5“ from bottom collar border
    • STYLE Arial10pt01x is current
    • MTEXT “CHI SEWER LATERAL”, “2780 EDMOND ST”, “APN 163-11-000-000”, alignment middle center, rotate 90”, snap to midpoint of 0.85“ line
  • Layout - Project Title (17x11 sheet)
  • Layout - Project Title (17x11 sheet)

Title/Project Name (36x24)

  • current layer G-ANNO-NPLT
  • create no plot reference guidelines
    • horizontal line 0.85” from right border, midpoint (use to position CHI SEWER LATER… text)
    • horizontal line 0.25“ to right of above 0.85” line (use to position COVER AND GENERAL NOTES)
    • rectangle 0.1“ x 0.1” from bottom left corner (use to position PROJECT TITLE)
    • current layer C-ANNO-TTLB
    • vertical line 0.35 from lower left corner
  • current layer C-ANNO-TTLB
  • textstyle
    • STYLE Arial06pt01x is current
    • MTEXT “PROJECT TITLE:”, justify top left corner, rotate 90 deg
      • move to corner of rectangle guideline
    • STYLE Arial14pt01x is current
    • MTEXT “COVER AND GENERAL NOTES”, justify middle center, rotate 90“
      • move to corner of rectangle guideline
    • STYLE Arial10pt is current
    • MTEXT “CHI SEWER LATERAL”, “2780 EDMOND ST”, “APN 163-11-000-000”, alignment middle center, rotate 90”, snap to midpoint of 0.85“ line
  • Layout - Project Title

Created by (17x11)

  • horizontal reference line (layer G-ANNO-NPLT)
    • 0.1” offset from bottom collar border
  • circle radius 0.05“ from left end point of reference line
  • circle radius 0.06” from right end point of reference line
  • layer G-ANNO-TTLB
  • textstyle
    • STYLE Arial06pt01x
      • TEXT “DESIGN:”, justify ML
      • TEXT “DRAWN:”, justify ML
      • TEXT “CHECK:”, justify ML
      • TEXT “GISE JOB#:”, justify ML
    • STYLE Arial08pt01x
      • TEXT “J JENSEN”, justify MR
      • TEXT “L AFFLECK”, justify MR
      • TEXT “J JENSEN”, justify MR
      • TEXT “16-000”, justify MR
  • Layout - Designed, Drawn, Checked By

Created by (24x36)

  • horizontal line
    • 1.12“ from bottom collar border
    • 0.90” from bottom collar border
    • 0.74“ from bottom collar border
  • textstyle
    • STYLE Arial06pt01x
    • MTEXT “DESIGN:”, justify TL, 1.26” from bottom collar border
    • MTEXT “DRAWN:”, justify TL, 1.07“ from bottom collar border
    • MTEXT “CHECK:”, justify TL, 0.88” from bottom collar border
    • MTEXT “GISE JOB#:”, justify TL, 0.69“ from bottom collar border
    • STYLE Arial08pt01x
    • MTEXT “J JENSEN”, justify TR, 1.26” from bottom collar border
    • MTEXT “L AFFLECK”, justify TR, 1.07“ from bottom collar border
    • MTEXT “J JENSEN”, justify TR, 0.88” from bottom collar border
    • MTEXT “16-000”, justify TR, 0.69“ from bottom collar border
  • Layout - Designed, Drawn, Checked By

Sheet Type Designator

  • National CAD Standard drawing groups and their page numbering system/order within the drawing set (Architectural Drafting & Design, 6th by Jefferis, Madsen & Madsen, p. 1012)
  • T-1 is Title Page
    • includes table of contents, list of each consulting firm, list of abbreviations, location/vicinity map, general notes, zoning and building classification
  • G-General
  • H-Hazardous Materials
  • V-Survey / Mapping
  • B-Geotechnical
  • W-Civil Works
  • C-Civil
  • L-Landscape
  • S-Structural
  • A-Architectural
  • I-Interiors
  • Q-Equipment
  • F-Fire Protection
  • P-Plumbing
  • D-Process
  • M-Mechanical
  • E-Electrical
  • T-Telcommunications
  • R-Resource
  • X-Other Disciplines
  • Z-Contractor/Shop Drawings
  • O-Operations

Drawing and Sheet Number (11x8.5)

  • add drawing number (e.g. C1) and sheet number to bottom right corner of layout
  • current layer G-ANNO-NPLT
  • RECTANGLE 0.6 0.08 from bottom left corner of Section D
  • RECTANGLE 0.6 0.2575 from bottom left corner of Section D
  • RECTANGLE 0.6 0.4325 from bottom left corner of Section D
  • draw horizontal polyline width 0.025 that is 0.50” from bottom collar border
  • current layer G-ANNO-TTLB
  • STYLE Arial06pt
  • MTEXT “DRAWING NO.”, justify middle center
    • move to upper right corner of larger rectangle guideline
  • STYLE Arial12pt
  • MTEXT “C1”, justify middle center
    • move to upper right corner of medium rectangle guideline
  • STYLE Arial06pt
  • MTEXT “SHEET XX OF XX”, justify middle center
    • move to upper right corner of smaller rectangle guideline
  • Layout - Sheet Number

Drawing and Sheet Number (17x11)

  • add drawing number (e.g. C1) and sheet number to bottom right corner of layout
  • draw horizontal polyline width 0.025 that is 0.50“ from bottom collar border
  • current layer G-ANNO-NPLT
    • Vertical Reference Line from midpoint of above line to perpendicular to bottom collar border
    • CIRCLE radius = 0.0675” center on top end point of reference line (want text margin of 0.025“)
    • CIRCLE radius = 0.2425” center on top end point of reference line (want sheet number centered in blank area, remember collar border width is 0.05“ and top divider line width is 0.025” so using midpoint of vertical reference line is slightly of center)
    • CIRCLE radius = 0.08“ center on bottom end point of reference line (want text margin of 0.025”)
  • current layer G-ANNO-TITL
  • top line of text
    • MTEXT “DRAWING NO.”, justify MC, using Arial06pt01x textstyle
  • middle line of text
    • MTEXT “C1”, justify MC, using Arial12pt01x textstyle
  • bottom line of text
    • MTEXT “SHEET XX OF XX”, justify MC, using Arial06pt01x textstyle
  • Layout - Sheet Number

Drawing and Sheet Number (24x36)

  • Sheet Number Cell Boundary should already be created, if not
    • current layer G-ANNO-TTLB
    • draw horizontal polyline width 0.025 that is 1.5“ from the bottom collar border
  • current layer G-ANNO-NPLT
  • draw vertical reference line from midpoint of above horizontal polyline that is then perpendicular to the bottom collar border
  • circle radius 0.1” centered at top of this vertical line
  • circle radius 0.115“ centered at bottom of this vertical line
  • current layer G-ANNO-TTLB
  • top line of text
    • STYLE Arial12pt01x as the textstyle
    • MTEXT “DRAWING NO.”, justification top center
  • middle line of text
    • STYLE Arial30pt01x as the textstyle
    • MTEXT “C1”, justification middle center
  • bottom line of text
    • STYLE Arial12pt01x as the textstyle
    • MTEXT “SHEET XX OF XX”, justification bottom center
  • Layout - Sheet Number

Professional Stamp

1. Drawing Setup

  • New Drawing based on acad.dwt
    • ADC (AutoCAD Design Center) to review layers and textstyles
      • verify no blocks
      • only layer 0
      • only default Textstyles (Annotative, Legend and Standard)
  • MEASUREINIT 0 for imperial and 1 for metric
  • MEASUREMENT 0 for imperial and 1 for metric
  • UNITS
    • Controls the precision and display formats for coordinates, distances, and angles
      • Length Type: Decimal
      • Length Precision: 0.00000
        • LUPREC system variable
      • Insertion scale Inches
      • Angle Type: Decimal Degrees
      • Angle Precision: 0.00000
        • AUPREC system variable
      • Direction button > Base Angle = East 0.00
    • Layout - PE Stamp Units
  • LAYER
    • G-ANNO-NPLT (General - Annotation - Non-PLoTting graphic information)
      • color 211 (magenta/pink)
      • no plot
      • Description: Viewport Frame, Anno guidelines
    • G-ANNO-STMP (General - Annotation - professional STaMP)
      • color white
      • plot
      • Description: PE Stamp
  • LIMITS 0,0 6,4
  • STYLE (Command) - Text Style Dialog Box
    • RomanD07pt01x
      • Font Name: romand.shx, Standard, Height = 7pt / 100 * 1 scale = 0.07 inch
    • RomanD08pt01x
      • Font Name: romand.shx, Standard, Height = 8pt / 100 * 1 scale = 0.08 inch
    • RomanD09pt01x
      • Font Name: romand.shx, Standard, Height = 9pt / 100 * 1 scale = 0.09 inch
    • RomanD10pt01x
      • Font Name: romand.shx, Standard, Height = 10pt / 100 * 1 scale = 0.10 inch
  • Status Bar Customization
    • turn on
      • Coordinates
      • Paper Space/Model Space (name changes depending on what space your in)
      • Dynamic Input
      • Ortho Mode
      • Selection Cycling
  • OSNAP
    • turn on (blue light is on, gray light is off) the following
      • Center, Node, Quadrant (off by default)

Profile

  • Does
    • saves the AutoCAD background color
  • Doesn't
  • AutoCAD OPTIONS
    • Profiles tab > Add to List… > ACADProfile-Jensen
    • Files tab
      • Template Settings (optional)
        • Drawing Template File Location > (default is C:\Users\[user name]\appdata\local\autodesk\c3d 2017\enu\template)
          • typically change to a network drive location where everyone in the office can access the corporate template
          • change to (D:\GISEDrive → CCSD → CADD → Templates). Issues if saving to Google Drive synch folder
          • appears you can only have one path for .dwt, option to add is grayed out
    • Display tab
      • Window Elements
        • Color scheme: Dark
        • Use large buttons for Toolbars (check on)
        • Colors… button
          • 2D model space, Uniform background, color 33,40,48 (dull black)
            • FYI AutoCAD 2016 used a dull white background color (215, 215, 215)
          • Crosshairs, color White
          • Viewport control, color White
      • Layout elements
        • check (should be on by default) Display Layout and Model tabs
        • uncheck Display printable area (this dashed line in the layout is confusing and cannot be snapped to)
      • Display resolution
        • Arc and circle smoothness 20000 instead of 1000
          • this does the samething as VIEWRES Y 20000
          • VIEWRES fast zooms? Yes, circle zoom percent 20000
      • Crosshair size 5
        • might have this increased to 100 by AutoCAD R14 users
        • CURSORSIZE command also changes this
    • Plot and Publish tab
      • Use as default output device DWG To PDF.pc3
      • Background processing options: uncheck Publishing
      • When changing the plot device
        • Keep the layout paper size if possible
      • OLE plot quality: High graphics (e.g. photograph) helpful logo graphics, typically use this this if logo is an image or plotting aerial photos
      • Specify plot offset relative to Edge of paper
      • Plot Style Table Settings > Use color dependent plot styles (typically used for backwards compatibility with older drawings where the lineweight is controlled by the layer/object color)
        • Default plot style table settings - monochrome.ctb
      • AutoCAD Options - Plot and Publish
    • System tab
    • User Preferences tab
      • Windows Standard Behavior
        • Right-click Customization
        • Problem - might be on a computer where the right mouse click has changed from bringing up the context menu to running the last command. This is the location to change that setting.
      • insertion scale - default settings when units are set to unitless for Source content and Target drawing
        • inches (if using Civil 3D as AutoCAD)
        • feet (if using Civil 3D)
      • Default Scale List… button
        • add 1”=40' (paper units = 1 and drawing units = 40)
  • Options > Files tab

2. Outer Circle Rope Chord

  • Layout - PE Stamp - Outer Rope Chord
  • current layer G-ANNO-NPLT (General Annotation No Plot layer)
  • PDMODE 3
    • PDMODE 3 is a large X (use this to easily find center), will be place at 1,1 coordinate
    • PDMODE 0 is the default an is a small dot that is often difficult to see/find
  • POINT 3,2
    • add a point at center of PE stamp to easily move and snap to the node when using the block
    • OSNAP node (turn on to snap to point)
    • when done creating the block, recommend moving this point to the G-ANNO-NPLT layer to avoid future problems of a large X showing up on the plot and you have to replot the sheet because PDMODE wasn't set to 0.
  • Reference Lines
    • create no plot reference guidelines
      • Circle radius 55/64 (outer ring - outside) centered on above POINT
        • old radius 27/32“ or 0.84375”, diameter 1-11/16“ or 1.6875”
      • Circle radius 51/64 (outer ring - inside) centered on above POINT
        • old radius 25/32
        • old 101/128“ or 0.7890625”, diameter 1-37/64“ or 1.578125”
        • Note, if you need a reference to middle of outer ring, the circle radius is 0.81640625“
    • OSNAP Center of Circle and Quadrant turned on
    • 1st Line: Vertical line starting at the center of circles to the top/north quadrant of circle (see figure below, this will be the Top left corner of trapezoid)
  • Trapezoid
    • Object Snap Tracking on (not sure if needed)
    • current layer 0
      • (problems changing array layers from G-ANNO-STMP to layer 0, so just create on layer 0)
    • Trapezoid - Left Side (create a short line length 0.12” at -40deg from horizontal x axis)
      • Option 1 (distance and angle): LINE 0.12 < -40 (click from top/north quadrant of circle)
      • Option 2: ROTATE about top/north quadrant, angle 50 degrees
      • Option 3: LINE 'ad -50 degrees (top left corner) with approximate length 0.12”
        • 'ad is Civil 3D transparent command called Angle and Distance
    • ROTATE with COPY
      • ROTATE
      • select vertical guide line and short angled line
      • Base point - center of circle
      • COPY option at Command prompt
      • -5.00deg at Command prompt
        • old -3.75deg at Command prompt
      • repeat one more time, then should have rotated copies of the lines
      • 2nd Line: select 1st Line, rotate about center of circle, COPY option, angle is -3.75 degrees (rotate clockwise)
        • Alternative: rotate vertical line starting at the center of circles to a length of 1“ and angle 86.25 degrees (90 - 3.75) from horizontal
      • 3rd Line: select 2nd Line, rotate about center of circle, COPY option, angle is again -3.75 degrees
        • Alternative: rotate vertical line starting at the center of circles to a length of 1” and angle 82.5 degrees (86.25 - 3.75) from horizontal
      • MEASUREGEOM > ANGLE
        • verify angle is 5degrees (if display 4deg then need to adjust the precision using UNITS)
      • Layout - PE Stamp - Reference Guidelines
    • Trapezoid - Top and Bottom
      • line connecting top of trapezoid (connect top left and top right corners of trapezoid)
      • line continue this line to the intersection of the 3rd reference line and the circle
      • line connecting bottom of trapezoid (also blue line in figure below)
      • Layout - Creating PE Stamp - Trapezoid
    • fillet radius 0.04“ 0.02” (top right and bottom left corner of trapezoid) - do this first to ensure gap is created properly
      • Layout - Creating PE Stamp - Fillet 0.002"
    • fillet radius 0.01“ 0.005” (1-top left, 2-top right and 3-bottom right corner of trapezoid)
    • draw line connecting gap created by 0.01“ 0.005” fillet
    • delete the top right fillet radius and top line outside trapezoid
      • Layout - Creating PE Stamp - Fillet
    • ARRAY circle
      • GROUP trapezoid, name chord1
      • ARRAYPOLAR (select group) click center of circle
        • with 72 items (360 deg = 5 deg * 72), note original stamp uses 76 items
          • old with 96 items (360 deg = 3.75 deg * 96)
        • to avoid overlap lines don't array the right side of the trapezoid. See figure below. Note can use OVERKILL command to delete overlapping lines, problem is will need to explode the ARRAYPOLAR object first.
          • Layout - Creating PE Stamp - ARRAYPOLAR Select Items
          • Layout - Creating PE Stamp - Outer Ring
  • delete two circles (outer and inner ring)
  • delete two vertical lines that were rotate (keep the original vertical line as reference)
  • Layout - Creating PE Stamp

3. Inner Ring of Circles

  • current layer G-ANNO-NPLT
  • circle radius 71/128
    • old 17/32“ (0.53125”)
  • POLYGON 72 sides (same center and radius as above circle)
  • current layer 0 (problems changing array layer from G-ANNO-STMP when creating a block)
  • CIRCLE centered at midpoint on one of the sides of the 72 side polygon and radius tangent to vertical line
    • radius 0.02417
    • radius determined by drawing a line from center to top quadrant, then draw a line from the midpoint of the 72 sided polygon that is perpendicular to first line. Ensures circles are tangent when doing the ARRAYPOLAR.
    • skip - circle radius 1/32“ (0.03125) 0.02085” (diameter 0.0417“) centered at top quadrant of above circle
  • ARRAYPOLAR 72 53 or 80 items
  • delete circle
  • delete polygon
  • Layout - Creating PE Stamp - Inner Ring

4. Circular Text

  • current layer G-ANNO-NPLT
  • circle radius 0.63695
    • old radius 0.623828125
    • old 0.673828125” - 0.0938“/2
    • old 0.53125 + ( - 0.53125 ) / 2
  • LINE from center with length 1” and angle -50 55, 35 degrees
    • need Dynamic Input turned on to enter the length and angle in the mini cursor toolbar
  • LINE from center with length 1“ and angle -130 125 145 degrees
    • Alternative - use MIRROR command, option to keep original
  • TRIM or BREAK to create arc by removing the bottom portion of the circle. Remember ARCTEXT doesn't work on circles
  • Layout - Creating PE Stamp - ArcText Reference Lines
  • current layer 0
  • ARCTEXT - Professional Engineer
    • Format > Alignment > Fit
    • Format > Position > Convex side
    • Format > Direction > Outward from the center
    • Format > Typeface > Bold
    • Textstyle change to RomanD10pt01x (avoid STANDARD when sharing drawings with others as they may have different STANDARD settings).
    • FONT Name: RomanD.shx
    • Text: PROFESSIONAL ENGINEER-STATE OF NEVADA
    • Properties
      • Text height: 0.1” (instead of textstyle height of 0.0938“)
    • Width factor = 1 0.75
    • Offset from arc: 0
    • Note: I had problems with a broken line showing up under the ArcText and realized I accidently selected Underline (Bold, Italic) type face, so if you do that, just uncheck underline and it will go away.
  • Layout - ARCTEXT in PE Stamp
  • Layout - Professional Engineer-State of Nevada
  • current layer G-ANNO-NPLT
  • LINE from center with length 1” and angle -60 degrees (input length tab angle, if you press enter won't get option to enter angle in dynamic input)
  • LINE from center with length 1“ and angle -120 degrees
  • ARC to recreate portion of circled previously trimmed out
    • start by clicking on on arc near letter P
    • C to select center of circle
    • end by click on arc near letter A
  • TRIM portion outside 60 and 120 degree
  • Layout - No. 15737 Reference Lines
  • current layer 0 (instead of G-ANNO-STMP)
  • ARCTEXT - No. 15737
    • Format > Alignment > Fit
    • Format > Position > Convex side
    • Format > Direction > Inward to center
    • Format > Typeface > Bold
    • Standard
    • FONT Name: RomanD.shx
    • Text: No. 15737
    • Properties
      • Text height: 0.1” (instead of textstyle height of 0.0938“)
    • Width factor = 1 0.75
    • Offset from arc: 0
  • Layout - ARCTEXT Dialog Box
  • Layout - ArcText in PE Number
  • delete guideline arcs and lines

5. Engineer Name, Expire, Discipline

  • current layer G-ANNO-NPLT
  • turn on Ortho Mode (press F8)
  • vertical LINE upward from center with length 0.3333”
  • continue to the right a distance of 0.4“, then escape to exit the line command
  • vertical LINE downward from center with length 0.22” 0.19“
  • current layer 0 (instead of G-ANNO-STMP)
  • TEXTSTYLE RomanD09pt01x (size is closer to physical stamp)
    • Font Name: romand.shx
    • Width Factor: 1.0
    • justification Top Center
    • Text Height 0.09” (same as 9pt font height)
  • TEXTSTYLE RomanD08pt01x
    • Font Name: romand.shx
    • Width Factor: 1.0
    • justification Top Center
    • Text Height 0.08“ (same as 8pt font height)
  • MTEXT “JEFFERY J.” second line “JENSEN”, justify Top Center, move so it snaps to top of upward vertical line
  • MTEXT “CIVIL”, justify Top Center, move so it snaps to bottom of downward vertical line
  • TEXTSTYLE RomanD07pt01x
    • Text Height 0.07” (same as 7pt font height)
    • justification Top Center
  • MTEXT “Exp: 06/30/17”
  • Layout - Name and Expiration
  • delete reference guidelines
  • PDMODE 0

6. Define Block

  • turn off layer G-ANNO-NPLT
  • ensure PE stamp is on layer 0
    • having problems moving ARRAYPOLAR items to layer 0, seems like I need to explode it
    • “One or more selected objects is on a locked layer and cannot be updated”

BLOCK DEFINE ATTRIBUTE - Engineer Name

  • Skip - work in progress. ATTDEF does NOT work with ARCTEXT, so to change the license number and state I need to explode the block. If I explode the block I lose the attributes of Engineer Name and Expiration Date, so will have to do a second edit and type in these values. So, at this time, best solution is to skip using ATTDEF, more than hassle then help.
  • ATTDEF
    • Mode
      • Lock position (checked on) keeps the attribute text locked to the block, if unchecked, can move the text independent of the block (might help with spot elevation tags)
      • Multiple lines (checked on) attribute text field will behave like multi line text (MTEXT). Remember to edit blocks with this option, must click on the ellipse (…) button
    • Insertion Point (checked on) Specify on-screen
    • Tag/Attribute Name/Variable Name (uppercase, no spaces) = ENGNAME
    • Prompt: Enter Name of Engineer?
    • Default: JEFFERY J. JENSEN
    • Text Settings
      • Justification: Top Center
      • Text Style: RomanD08pt01x
        • Text Height: 0.08 (already defined by text style)
  • ATTREDEF use this command if you want to change attribute definition, appears to be the only way to edit

BLOCK DEFINE ATTRIBUTE - Expiration Date

  • Skip - work in progress. ATTDEF does NOT work with ARCTEXT, so to change the license number and state I need to explode the block. If I explode the block I lose the attributes of Engineer Name and Expiration Date, so will have to do a second edit and type in these values. So, at this time, best solution is to skip using ATTDEF, more than hassle then help.
  • ATTDEF
    • Mode
      • Lock position (checked on) keeps the attribute text locked to the block, if unchecked, can move the text independent of the block (might help with spot elevation tags)
      • Multiple lines (checked off) only need single line text
    • Insertion Point (checked on) Specify on-screen
    • Tag/Attribute Name/Variable Name (uppercase, no spaces) = EXPIRE
    • Prompt: Enter Expire Date (Exp: 06/30/17)?
    • Default: Exp: 06/30/17
    • Text Settings
      • Justification: Top Center
      • Text Style: RomanD07pt01x
        • Text Height: 0.07 (already defined by text style)

WBLOCK

  • Base point: select center of PE stamp (insertion point at center of circle)
  • Select objects
  • File name and path: I:\templates\blocks\PEstampNV-attdef.dwg
  • Insert units: Inches
  • OK
    • will be prompted to include AutoCAD Map information, just click No
  • Recommend using AutoCAD DesignCenter (ADC) and tool palette to contain all the blocks from a symbol library drawing. This enforces standards by setting properties of any object on the palette, including the layer it's on (all tools), the scale (blocks and hatch patterns), and rotation angle (blocks and hatch patterns). (AutoCAD Secrets Every User Should Know by Dan Abbott, p. 12)

Section - PE Stamp - Insert Block

  • layer G-ANNO-NPLT
  • circle radius 4“
  • horizontal polyline width 0.025”
  • circle radius 2“
  • horizontal polyline width 0.025”
  • vertical line between midpoints of above lines
  • circle radius 0.9“ from top
  • insert PE stamp
  • Layout - PE Stamp

Viewport

  • make a new layer, G-ANNO-NPLT (alternative Viewport), no print, current layer
  • draw a rectangle (lower left corner of collar board to upper right corner inside title block)
  • offset 0.1” inside then delete original rectangle
  • MVIEW to create the viewport from Object rectangle
  • Layout - Viewport Frame

Plot

  1. Layout tab
    1. rename 11×17
    2. make other common sizes such as 24×36 and 8.5×11
    3. when inserting the template, which be prompt which layout to insert
  2. Insert Template layout in existing modelspace drawing
    1. if XREF drawing, use VISRETAIN 0 to preserve layers turned off or frozen
  3. Plot
    1. select plotter/printer (Kyocera TASKalfa 420i)
    2. Paper size: Ledger (11×17 inch)
    3. Plot offset x=0“, y=0”
    4. Scale: 1:1 (remember viewport is scaled not the layout)
    5. Plot style table: HP5550.ctb or MINE.ctb

Plot Stamp or MTEXT Insert Field

  • Using Fields in Text
  • Background
    • Only one plot stamp per drawing, so if you have a template (.dwt) that has different size layouts with different margins, will have to change the plot stamp location each time.
    • recommend plot stamp only for 24×36 sheets
  • Plot > Plot stamp on (checked)
  • Plot Stamp, check on Drawing Name and Date and Time (other fields off/unchecked)
    • Advanced button (lower left corner of dialog box)
    • Location: Bottom left
    • Orientation: Vertical
    • X offset (1.85“ on 36×24 layout) or (0.35” on 17×11 layout)
    • Y offset (1“ on 36×24 layout) or (0.60” on 17×11 layout)
    • Offset relative to paper border radio button
    • Font: Arial and Height 6pt which is 0.06“
    • Plot stamp units Inches
    • uncheck create a log file
    • Save As plot stamp parameter file
  • Layout - Plot Stamp Settings
  • Layout - Plot Stamp

Plot Manager

  • PLOTTERMANAGER
  • STYLESMANAGER - plot style manager
    • C:\Users\jeffjensen.JOURNEYEDU\AppData\Roaming\Autodesk\C3D 2017\enu\Plotters\Plot Styles
    • MINE.ctb
      • use windows explorer to edit by double clicking the filename and select Form View tab
      • 40% screening

North Arrow, Scalebar, Scaled Text

  • Scalebar for 1”=40'
    • draw horizontal line 2“ long, offset 0.05” twice
    • draw vertical line 0.15“ long, offset 0.25”, 0.5“, 1”, and 2“
    • HATCH solid to alternate black and white
    • textstyle
      • STYLE Simplex08pt01x current
      • MTEXT “0”, “40'”, “80'”, justify bottom center
  • Scaled Text (Scale 1” = 40')
    • textstyle
      • STYLE Simplex08pt01x current
      • MTEXT “Scale 1”=40'“, justify top left
  • North Arrow
    • textstyle
      • STYLE Simplex08pt01x current
      • MTEXT “NORTH”
    • draw a triangle pointing up

Scale Bar Block

Google Earth Pro

Bing Maps and Civil 3D

  • Essential Question - How do I import Bing Maps imagery in Civil 3D?
  • Background - the days of easily importing a georeferenced and properly scaled black and white aerial photo with the USGS terrain surface are gone from any version of Civil 3D newer than 2012 (see AutoCAD Civil 3D 2013 Guts Google Earth, see also comments from Dave Simeone, Senior Product Manager - AutoCAD Civil 3D). What we have now is color aerial photos from Bing Maps. This is nice, but difficult to properly import into Civil 3D. Here is the procedure to do it. In a nutshell you need to:
    • 1) assign coordinate system to Civil 3D
    • 2) obtain some GIS data that is in a coordinate your interested in, such as Nevada State Plane Coordinates
    • 3) assign the scale of the imagery - this will be done using the projection system such as Nevada State Plane Coordinate System
    • 4) determine the lat/long of a known point on Bing Maps
    • 5) determine the state plane coordinate of that same point in Civil 3D
    • 6) determine the north orientation/azimuth of the site - since we are using state plane coordinates north will just be 90° in Civil 3D
    • 7) capture the image if you want to see it in a layout/paperspace, which means you want to print the aerial photo.
  • Yes it a lot of steps and I'm not sure what Autodesk was thinking, feels more of a step backwards than forward.

Procedure to import Bing Maps in Civil 3D

  • Step 0. Apply hotfixes and updates to Civil 3D, if needed
  • Step 1. Assign a coordinate system to Civil 3D
    • Application Menu > Drawing Utilities > Drawing Settings > Units and Zone tab
    • Categories: USA, Nevada
    • Available coordinate system: NAD83 Nevada State Planes, East Zone, US Foot
    • Selected coordinate system: NV83-EF
  • Step 2. Download GIS data
    • Clark County GIS Data and download crscl-shp.zip
    • unzip the file
    • use MAPWSPACE > On or MAPIMPORT to view the shapefile in Civil 3D
    • zoom extents and zoom to the point of interest
  • Step 3. Turn on Coordinate tracking
    • bottom right corner, click Customization, at the top of the menu select Coordinates. To see Lat/Long value right click on the coordinate and select Geographic or type COORDS 3 at the command prompt.
    • GEOLATLONGFORMAT system variable, 0 is decimal degrees and 1 is degrees minutes and seconds. Use UNITS to change the precision of decimal degrees displayed in the status bar (Autodesk Civil 3D 2016 Help - Units).
  • Step 4. Geolocation > Edit Location > From Map
    • login to your Autodesk 360 Account
    • enter address near the point you are using to georeference between Bing Maps (lat/long) and GIS data (sclmajor_l with Stateplane coordinates).
    • pan and zoom to the intersection of Tropicana and Paradise
    • right click and select place marker here
  • Step 5: select stateplane coordinate location of Tropicana and Paradise in Civil 3D
  • Step 6: enter the angle from the X axis to the north direction, since using grid coordinate system, use the default angle of 90°
  • Civil 3D display of the Street Centerline shapefile and Bing Maps at intersection of Tropicana and Paradise, near UNLV
  • Q How do you ALIGN a captured image How to Export captured Geomaps isn't helpful, where does the capture viewport image go?

Styles and Standards

GIS Engineering Project Template

  • OwnerLastName-StreetAddress - working folder. Archive this entire project folder
    • Civil3DDataShortcuts
    • Docs - contains RTC standard pdf, proposal
    • DrainageStudy - Rational Method spreadsheet, RFCD MPU pdf,
    • GIS - contains street centerline subset, Assessor Parcel subset, aerial photos
    • Surveying - contains Trimble GPS measurements, Trimble Business Center (TBC) files, points file, elevation Benchmark book

Civil 3D Template

  • Plot Styles
    • C:CLV-2014.C3DCLV Plot StylesCLV.stb
    • C:CLV-2014.C3DCLV Plot Styles
      • MINE.ctb (Affleck)
        • color 1 = lineweight 0.0256“
        • color 8, 9, 251-253, 255 = 40% screening
        • color 254 = 10% screening
  • Title Block
    • MVIEW place on the No Print layer

City of Las Vegas Nevada

  • C:CLV-2014.C3D
    • CLV Blocks
    • CLV Images
    • CLV Parts Catalogs
    • CLV Plot Styles
      • M (layers C-TOPO-MAJR-N)
      • M-6
      • Normal
      • L
      • L-6
      • S
      • S-3
      • S-6 (Topo: Major Contour: Existing layers C-TOPO-MAJR-E)
      • XL (Survey / Mapping: Political boundaries)
      • XXL (New right-of-way)
      • Error Using City of Las Vegas Template
    • CLV Profiles
      • OPTIONS command > Profiles tab > Import button > select C:CLV-2014.C3DCLV ProfilesCLV2014.C3D.arg then set Current button. Will need to start a new drawing.
    • CLV Project Template
      • Questions
        • Where do you save the drainage study and traffic study?
        • Where do you save aerial photos from the Assessor or Bing Maps?
      • Engineering
        • _Shortcuts (automatically created by the Civil 3D 'New Data Shortcuts Project Folder' dialog)
        • Base Drawings (existing and proposed 2D geometry)
        • Blocks (project-specific blocks)
          • 2D
          • 3D
        • Documents
          • Admin
          • Files In
          • Files Out
          • Redlines
          • Transmittal
        • Engineering Drawings (engineering working design folders)
          • Alignment
          • Corridor
          • Details
          • Parcel Layout
          • Pipe Networks
          • Profiles
          • Surfaces
        • GIS (project-specific GIS data and documents)
          • <I>Comments: add aerial photos in this folder or create a subfolder TIFF or ECW depending on the file format</I>
          • DWG
          • LYR
          • Misc
          • MXD
          • PDF
          • SHP
        • Reports
        • Sheet Set (final plan sets to be plotted)
          • DWF
          • DWG
          • PDF
        • Submittals
          • 30%
          • 70%
          • 90%
          • 99% Pre Final
          • 100% Final
          • Bid Set
          • PDF (Current Version)
          • Record Drawings
        • Survey Drawings
          • <I>Comments: add points file in this folder or create a subfolder Points</I>
          • Details
          • Exhibits
          • GPS Data
          • Mapping
          • Parcel Layout
    • CLV Template
    • CLV Tool Palettes
  • Predefined Layouts
    • CV - Cover Sheet
    • GN - General Notes
    • FD - Fire Department
    • PP - Plan and Profile
    • TS - Traffic Signal Design
    • 8.5×11

Drafting Intersections

Drafting Residential Subdivision - Plat

Setup Coordinate System and GIS

  • Step 0 - use City of Las Vegas profile and template. Also using a Trimble GPS Receiver (71631280.T02), determine the coordinates of the basis of bearing.
  • Step 1 - assign coordinate system (Nevada Stateplane Coordinate System - East Zone, Feet, NAD83)
  • Step 2 - add Bing Maps aerial photos
    • 1. Geolocation tab > Location panel > Edit Location > From File
    • 2. login to Autodesk 360
    • 3. download the Google Earth kmz file which has the known point (intersection of Richmar and Lindell) Latitude and Longitude, see X:ClassesPublicJeffery JensenCEE301CactusHillsEstatesIIICactusHillsEstatesIII-GPSRichmar-Lindell.kmz Richmar-Lindell.kmz
    • 4. select coordinate system, NV83-EF
    • 5. GEOGRAPHICLOCATION <0,0,0> copy and paste Stateplane coordinate, 26708012.029,764581.597,2419.597
    • 6. specify the north direction angle <90d0'0”» use default angle 90°
      • Control points - Nevada Stateplane Coordinates NAD83 Feet - points file CactusHillsEstatesIII-GPS-PNEZD.csv
        • 1,26708012.029,764581.597,2419.597,PK NAIL Richmar and Lindell
        • 2,26708004.567,763592.310,2433.349,AL CAP Richmar SE
        • 3,26708002.103,763262.470,2439.855,PK NAIL Richmar SW
      • Control points - Lat/Long - points file CactusHillsEstatesIII-GPSlatlong-PNEZD.csv
        • 1,36.01700,-115.21672,2419.597,PK NAIL Richmar and Lindell
        • 2,36.01699,-115.22006,2433.349,AL CAP Richmar SE
        • 3,36.01698,-115.22118,2439.855,PK NAIL Richmar SW
  • To draw the knuckle, offset the Right of Way line 3.5 towards the centerline. This is the center of the knuckle circle with radius 61.5'.
  • Modify the City of Las Vegas Annotation Style (CLV-Brg. over Dist. Segment - No Leader) from text height of 0.10“ to 0.06” if plotting on 8.5×11 paper.
  • Viewport scale 1“=100'
  • Civil 3D Bing Maps at intersection of Meranto and Golden Bell
  • Basis of Bearing
  • Basis of Bearing and Section Corners

Certification

Sheets

Title or Cover Sheet

  • Official Project Name as identified by the client
  • Official Project Number
    • Project Description
    • Identification of type of work to be performed
  • Agency Logo
  • Funding source - ranked in proportion of funding
  • Sheet Index
  • General Notes
  • Public and Private utility contacts
    • Contact info so facilities can be marked
    • Project coordination
    • People attending pre-construction meeting
  • Drawing scale
    • Include range of scales used in the plans unless noted on sheet
  • Roadway Designation or Classification
    • Pavement Type (Concrete or Asphalt)
  • Summary of Quantities
  • Project Area Map - sketch showing the relationship of the project to the regional and local street network
  • Name of the responsible agencies
  • Agency Approval
    • designated individual representing the authorizing agency to sign and date their approval of the plans
  • Design Professionals involved in the preparation and administration of the project
  • Licensed Professional Seal/Stamp
    • Civil Engineer
    • Architect
    • Landscape Architect
    • Structural Engineer
    • Electrical Engineer

Plan and Profile Sheet

Traffic Control Sheet

Construction Layout Sheet

AutoCAD

  • ARC between two parallel lines with a given radius
  • AREA (Command)
    • AREA > Add area > Object then click boundary of objects
      • Enter when done
      • then click Subtract area > Object (use to find area of swiss cheese slice)
      • enter when done
    • recommend using HATCH (Command) has Area property
    • recommend using BOUNDARY (Command) instead, then can pick the inside perimeter of the objects and LIST to get the area. Note BOUNDARY creates a closed polyline that will need to be deleted if all you want is the area.
  • ARRAY - rectangle desks and polar array chairs around circular table
  • BLEND (Command) - question asked to BLEND two splines, then JOIN into a single spline instead of 3 connected splines, then LIST to find the length (which isn't displayed in the spline PROPERTIES).
  • Dimensions
    • study dimension style tabs
    • DIMBREAK (Command)
    • DIMTEDIT (Command)
  • FILLET and CHAMFER
    • find distance from the midpoint of a fillet corner with the midpoint of a chamfer corner
  • HATCH - create a closed polyline and apply a hatch pattern, then give area.
  • ID (Command)
  • ISOMETRIC - create a isometric view from multiview
  • LAYER
    • change object properties from ByObject to ByLayer, then match the linetype
  • LAYERSTATE - Layer States Manager
  • MEASUREGEOM (Command)
    • Distance
    • Area
    • Radius
    • Angle
  • MLEADERCOLLECT (Command) balloons of multileader blocks are collected together
  • POLYGON (Command) make 5 sided
  • ROTATE (Command)
    • Relative Angle - this is default, so if 45deg ccw from the relative axis (-45deg rotates cw). All depends on UNITS settings
    • Absolute Angle - from East axis, use REFERENCE option
    • Match Angle - use REFERENCE (source angle) with POINTS (destination angle) option
      • order/direction matters in picking points for REFERENCE and POINTS
      • seems like ALIGN command is easier
    • Reference > Points Autodesk AutoCAD 2017 Help - ROTATE an object to an absolute angle
  • ROTATE COPY a vehicle, then measure distance between bottom quadrant of wheel to midpoint of road
  • SELECT (Command) with options by entering ? at the command prompt
  • SPLINE
    • use LIST to find the length of a spline, for some reason doesn't show in the Properties
  • Table - create a table with 6 rows and 7 columns, add text values, resize then find new cell width
  • UNITS
    • draw a traverse and find the area.
      • UNITS Length: decimal and precision 0.00
      • Angle: Type: Deg/Min/Sec Precision: 0d00'00.00” and check on Clockwise
      • Insertion scale: Unitless
      • Direction button: Base Angle: North
    • Surveyor: @123.45<n37d8'35“w
    • AutoCAD 2017 Certification - Traverse
  • Viewports - create, CHSPACE objects from Paperspace to Modelspace, find new height of text
  • Viewport Overrides
    • View tab > Views panel > View Manager
    • about 20 out of 35 questions on the AutoCAD certification exam ask you to open a drawing and then restore a named view (restore a view on a layout that is zoomed into an area of interest on the layout).
  • XREF change size, reload in drawing, then find DIST
  • Reference
Navigation

Civil Engineering Engineering - Computer Engineering - Electrical Mechanical Engineering

Print/export
QR Code
QR Code engineer-civil:civil3d (generated for current page)